sc::MemAllocFailed(3)

NAME
sc::MemAllocFailed - This is thrown when a memory allocation fails.

SYNOPSIS

#include <scexception.h>

Inherits sc::SystemException.

  Public Member Functions
MemAllocFailed (const char *description=0, const char *file=0, int line=0, size_t nbyte=0, const ClassDesc *class_desc=0, const char *exception_type='MemAllocFailed') throw ()
MemAllocFailed (const MemAllocFailed &) throw ()
size_t nbyte () const throw ()
Returns the number of bytes used in the failed allocation attempt.

Detailed Description

This is thrown when a memory allocation fails.

Author

Generated automatically by Doxygen for MPQC from the source code.